themikem
Contributor
Contributor

Unable to update after 7.0U3 upgrade

After upgrading to 7.0U3 and getting past the Intel NVME issues, I'm now also getting stuck on a Mellanox nmst patch. (host has a Mellanox NIC)

Specifically, this test is failing per the log:

-> <test>
--> <name>PACKAGE_COMPLIANCE</name>
--> <expected>
-->
--> </expected>
--> <found>
--> <value>MEL_bootbank_nmst_4.14.3.3-1OEM.700.1.0.15525992</value>
--> </found>
--> <result>ERROR</result>
--> </test>

But, trying to manually install this package via cli:

[root@m1a1vsphere04:~] esxcli software vib install --depot /Mellanox-NATIVE-NMST_4.14.3.3-1OEM.700.1.0.15525992_16211416.zip

Results in:
[ValueError]
Expected 1 component, found 2
Please refer to the log file for more details.

So I can't install the component, but the component failing prevents all other patching of the system. 

I also tried cloning the patch baseline and removing this package, but same result.

Any ideas...?

Thanks!

0 Kudos
3 Replies
TechAccelerator
Contributor
Contributor

Check to see if you have the Intel i40enu still installed:

esxcli software vib list |grep i40enu

If you do, remove it and try again:

esxcli software vib remove -n i40enu

https://kb.vmware.com/s/article/85982

 

0 Kudos
themikem
Contributor
Contributor

Yep, tried that one. No change. Also it seems to be specific to the nmst driver in this case as I can produce the error message using the downloaded zip file independent of the LCM process. 

0 Kudos
Shields1
Contributor
Contributor

m .2 nvme failure rate

0 Kudos